Skip to content

Update Customer or Supplier

Updates an existing customer or supplier

View as Markdown

PUT /v1/business-entities/{id}

Needs an API key with the update scope.

Path parameters

  • id string Required

Body parameters

  • entityCode string

    A unique code for this customer / supplier. Should be a unique alpha numeric string.

  • name string

    A short name for this customer / supplier. This will be the visible name of this business entity.

  • isCustomer boolean

    Should be true if this business entity is a customer.

  • isSupplier boolean

    Should be true if this business entity is a supplier.

  • legalName string

    Legal company name for this business entity that is going to be used in invoices and billing.

  • vatNumber string

    TaxID or VAT number of the business entity.

  • taxOffice string

    Registered Tax office.

  • address string

    Billing Address of the business entity.

  • city string

    City of the registered billing address.

  • country string

    Country of the registered billing address.

  • district string

    District / region of the registered billing address.

  • state string

    State of the registered billing address.

  • postalCode string

    Postal code of the registered billing address.

  • email string

    Contact person's email

  • phone string

    Company's or contact person's phone

  • iban string

    IBAN number of the bank account of the business entity.

Returns

The customer or supplier as saved.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).